using Patterns_And_Principles.Patterns.The_State_Pattern.Script.Manager;
using Unity.VisualScripting;
using UnityEngine;

namespace Patterns_And_Principles.Patterns.The_State_Pattern.Script.State
{
    public abstract class AppleBaseState
    {
        public abstract void EnterState(AppleStateManager appleStateManager);
        public abstract void UpdateState(AppleStateManager appleStateManager);
        public abstract void OnCollisionEnter(AppleStateManager appleStateManager, Collision collision);
    }
}